﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraPrintPreviewDialog1.Document = ultraPrintDocument1;
            ultraPrintDocument1.Header.TextLeft = "Header";
            ultraPrintDocument1.Footer.TextLeft = "Footer";

            ultraChart1.DataSource = GetData();
        }

        private static DataTable GetData()
        {
            DataTable table = new DataTable();
            table.TableName = "Chart";
            table.Columns.Add("Label Column", typeof(string));
            table.Columns.Add("Value Column", typeof(double));
            table.Columns.Add("Another Value Column", typeof(double));
            table.Rows.Add(new object[] { "Point A", 1.0, 3.0 });
            table.Rows.Add(new object[] { "Point B", 2.0, 2.0 });
            table.Rows.Add(new object[] { "Point C", 3.0, 1.0 });
            table.Rows.Add(new object[] { "Point D", 4.0, 2.0 });
            table.Rows.Add(new object[] { "Point E", 5.0, 3.0 });
            return table;
        }

        private void ultraPrintDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
        {
            string fileName = "chartImage.bmp";
            ultraChart1.SaveTo(fileName, System.Drawing.Imaging.ImageFormat.Bmp);

            Image image = Image.FromFile(fileName);

            e.Graphics.DrawImage(image, 200, 200);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraPrintPreviewDialog1.Show(this);
        }
    }
}
